Bug 19377 - Remove $5 charge from sample item types
Summary: Remove $5 charge from sample item types
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Bugs List
QA Contact: Kyle M Hall
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-28 02:59 UTC by David Cook
Modified: 2017-10-27 19:12 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19377 - Remove $5 charge from sample item types (1.72 KB, patch)
2017-09-28 03:03 UTC, David Cook
Details | Diff | Splinter Review
Bug 19377 - Remove $5 charge from sample item types (1.89 KB, patch)
2017-09-28 07:36 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 19377: Follow - remove charge for 'books' in all sample data (1.69 KB, patch)
2017-10-07 00:22 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19377 - Remove $5 charge from sample item types (1.96 KB, patch)
2017-10-22 09:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19377: Follow - remove charge for 'books' in all sample data (1.76 KB, patch)
2017-10-22 09:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19377 - Remove $5 charge from sample item types (2.01 KB, patch)
2017-10-27 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19377: Follow - remove charge for 'books' in all sample data (1.80 KB, patch)
2017-10-27 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19377: (follow-up) Remove charge for 'books' in ru-RU sample data (1.15 KB, patch)
2017-10-27 18:33 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2017-09-28 02:59:27 UTC
When I'm testing Koha, I always use all the sample data, and invariably I wind up having to write off charges and update the book item type, since my trial checkouts incur rental charges because the sample item type of book has a $5 rental charge.

It's a trivial change... but I'm sure this must annoy a lot of other developers as well.
Comment 1 David Cook 2017-09-28 03:03:02 UTC
Created attachment 67422 [details] [review]
Bug 19377 - Remove $5 charge from sample item types

Most of the sample item types come with a rental charge of $5.
This is really annoying when you're testing Koha with a fast catalogued
book, since you end up having to write off fines and change the item
type before you can actually get to the testing you want to do.

I left the rental charge on most other items so that you can test
rental charges easily by using a item type other than BOOK or REF.

_TEST PLAN_

Before applying
1) drop your test database
2) create your test database
3) install Koha via the web installer and install all sample data
4) do a checkout
5) note a $5 rental charge

After applying
1) drop your test database
2) create your test database
3) install Koha via the web installer and install all sample data
4) do a checkout
5) note no $5 rental charge
Comment 2 Marc Véron 2017-09-28 06:37:21 UTC
Good idea. 
However, I think it should be fixed in all languages, not only in English, e.g.:
./installer/data/mysql/pl-PL/optional/sample_itemtypes.sql
./installer/data/mysql/es-ES/optional/sample_itemtypes.sql
./installer/data/mysql/de-DE/optional/sample_itemtypes.sql
(there are more)
Comment 3 Magnus Enger 2017-09-28 07:36:06 UTC
Created attachment 67426 [details] [review]
Bug 19377 - Remove $5 charge from sample item types

Most of the sample item types come with a rental charge of $5.
This is really annoying when you're testing Koha with a fast catalogued
book, since you end up having to write off fines and change the item
type before you can actually get to the testing you want to do.

I left the rental charge on most other items so that you can test
rental charges easily by using a item type other than BOOK or REF.

_TEST PLAN_

Before applying
1) drop your test database
2) create your test database
3) install Koha via the web installer and install all sample data
4) do a checkout
5) note a $5 rental charge

After applying
1) drop your test database
2) create your test database
3) install Koha via the web installer and install all sample data
4) do a checkout
5) note no $5 rental charge

Signed-off-by: Magnus Enger <magnus@libriotech.no>
Applied the patch and looked at the change to the SQL-file. Looks
good. That fine on books has surprised me one too many times! :-)
Comment 4 Nick Clemens 2017-10-07 00:22:00 UTC
Created attachment 67763 [details] [review]
Bug 19377: Follow - remove charge for 'books' in all sample data
Comment 5 Nick Clemens 2017-10-07 00:23:00 UTC
I added a followup to cleanup books across all the files, I noticed though that some samples have charges for some itemtypes, and other have them for none. Maybe we should standardize all of them?
Comment 6 Katrin Fischer 2017-10-22 09:52:11 UTC
Having books cleaned up all across makes sense for me right now. 

I seem to remember to have removed some of the charges from the German installer as they were so annoying - others might have done similar.
Comment 7 Katrin Fischer 2017-10-22 09:53:14 UTC
Created attachment 68367 [details] [review]
Bug 19377 - Remove $5 charge from sample item types

Most of the sample item types come with a rental charge of $5.
This is really annoying when you're testing Koha with a fast catalogued
book, since you end up having to write off fines and change the item
type before you can actually get to the testing you want to do.

I left the rental charge on most other items so that you can test
rental charges easily by using a item type other than BOOK or REF.

_TEST PLAN_

Before applying
1) drop your test database
2) create your test database
3) install Koha via the web installer and install all sample data
4) do a checkout
5) note a $5 rental charge

After applying
1) drop your test database
2) create your test database
3) install Koha via the web installer and install all sample data
4) do a checkout
5) note no $5 rental charge

Signed-off-by: Magnus Enger <magnus@libriotech.no>
Applied the patch and looked at the change to the SQL-file. Looks
good. That fine on books has surprised me one too many times! :-)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2017-10-22 09:53:17 UTC
Created attachment 68368 [details] [review]
Bug 19377: Follow - remove charge for 'books' in all sample data

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Kyle M Hall 2017-10-27 14:13:37 UTC
Created attachment 68717 [details] [review]
Bug 19377 - Remove $5 charge from sample item types

Most of the sample item types come with a rental charge of $5.
This is really annoying when you're testing Koha with a fast catalogued
book, since you end up having to write off fines and change the item
type before you can actually get to the testing you want to do.

I left the rental charge on most other items so that you can test
rental charges easily by using a item type other than BOOK or REF.

_TEST PLAN_

Before applying
1) drop your test database
2) create your test database
3) install Koha via the web installer and install all sample data
4) do a checkout
5) note a $5 rental charge

After applying
1) drop your test database
2) create your test database
3) install Koha via the web installer and install all sample data
4) do a checkout
5) note no $5 rental charge

Signed-off-by: Magnus Enger <magnus@libriotech.no>
Applied the patch and looked at the change to the SQL-file. Looks
good. That fine on books has surprised me one too many times! :-)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Kyle M Hall 2017-10-27 14:13:44 UTC
Created attachment 68718 [details] [review]
Bug 19377: Follow - remove charge for 'books' in all sample data

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Jonathan Druart 2017-10-27 18:33:39 UTC
Created attachment 68784 [details] [review]
Bug 19377: (follow-up) Remove charge for 'books' in ru-RU sample data
Comment 12 Jonathan Druart 2017-10-27 19:12:21 UTC
Pushed to master for 17.11, thanks to everybody involved!